%global __requires_exclude pear\\(.*\\)

Summary:	A Comprehensive Linux Benchmarking System
Name:		phoronix-test-suite
Version:	10.8.2
%define subrel	1
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
Url:		http://www.phoronix-test-suite.com/
Source0:	http://www.phoronix-test-suite.com/releases/%{name}-%{version}.tar.gz
# Fix for CVE reported in https://github.com/phoronix-test-suite/phoronix-test-suite/issues/650
Patch0:		CVE-2022-40704.patch
BuildArch:	noarch
Requires:	php-cli
Requires:	php-gd
Requires:	php-xml
Requires:	php-dom
Requires:	php-openssl
Requires:	php-sqlite3
Requires:	php-json
Requires:	php-posix
Requires:	php-curl
Requires:	php-pcntl
Requires:	php-sockets
Requires(post):	rpm-helper
Requires(preun): rpm-helper

Recommends:	freeimage-devel
Recommends:	ftjam
Recommends:	git
Recommends:	gcc-gfortran
Recommends:	java
Recommends:	libaio-devel
Recommends:	perl-devel
Recommends:	perl-OpenGL
Recommends:	pkgconfig(fftw3)
Recommends:	pkgconfig(glew)
Recommends:	pkgconfig(gtk+-2.0)
Recommends:	pkgconfig(imlib2)
Recommends:	pkgconfig(libcurl)
Recommends:	pkgconfig(libopenjpeg1)
Recommends:	pkgconfig(libpng)
Recommends:	pkgconfig(openal)
Recommends:	pkgconfig(popt)
Recommends:	pkgconfig(portaudio-2.0)
Recommends:	pkgconfig(sdl)
Recommends:	pkgconfig(SDL_gfx)
Recommends:	pkgconfig(SDL_net)
Recommends:	pkgconfig(SDL_image)
Recommends:	pkgconfig(SDL_ttf)
Recommends:	pkgconfig(vorbis)
Recommends:	pkgconfig(x11)
Recommends:	SDL_sound-devel
Recommends:	scons
Recommends:	task-c-devel
Recommends:	task-c++-devel
Recommends:	tcsh

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking
platform available for Linux and is designed to carry out qualitative and
quantitative benchmarks in a clean, reproducible, and easy-to-use manner.

%prep
%autosetup -p1 -n %{name}

# fix non-executable-script
chmod +x pts-core/external-test-dependencies/scripts/install-macports-packages.sh
chmod +x pts-core/static/sample-pts-client-update-script.sh

%build

%install
export DESTDIR=%{buildroot}
./install-sh %{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}-gui.desktop <<EOF
[Desktop Entry]
Name=Phoronix Test Suite (GUI)
GenericName=A GUI for Phoronix Test Suite Benchmarking Utility
GenericName[fr]=Une interface graphique pour l'utilitaire d'évaluation Phoronix Test Suite
Comment=Phoronix Test Suite GUI
Comment[fr]=Interface graphique de Phoronix Test Suite
Exec=%{_bindir}/%{name} gui
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;Monitor;X-Mageia-CrossDesktop;
EOF

%post
%_post_service phoromatic-client
%_post_service phoromatic-server
%_post_service phoronix-result-server

%preun
%_preun_service phoromatic-client
%_preun_service phoromatic-server
%_preun_service phoronix-result-server

%files
%doc %{_datadir}/doc/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_unitdir}/phoromatic-client.service
%{_unitdir}/phoromatic-server.service
%{_unitdir}/phoronix-result-server.service
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-gui.desktop
%{_datadir}/applications/%{name}-launcher.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/mimetypes/*.png
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jan 18 2023 daviddavid <daviddavid> 10.8.2-1.1.mga8
+ Revision: 1934295
- backport upstream patch to fix CVE-2022-40704 (mga#31423)
+ ns80 <ns80>
- update to 10.8.2 for CVE-2022-0157, CVE-2022-019[67], CVE-2022-0238 (mga#30025)

* Wed Feb 03 2021 daviddavid <daviddavid> 10.2.1-1.mga8
+ Revision: 1674669
- new version: 10.2.1 (fixes mga#27983)

* Mon Jan 25 2021 daviddavid <daviddavid> 10.0.1-2.mga8
+ Revision: 1673244
- add patch to fix CurlHandle error (mga#27983)

* Fri Oct 23 2020 daviddavid <daviddavid> 10.0.1-1.mga8
+ Revision: 1638689
- new version: 10.0.1

* Thu Oct 15 2020 daviddavid <daviddavid> 10.0.0-1.mga8
+ Revision: 1636158
- new version: 10.0.0

* Sat Jul 11 2020 daviddavid <daviddavid> 9.8.0-1.mga8
+ Revision: 1604520
- new version: 9.8.0

* Thu May 28 2020 daviddavid <daviddavid> 9.6.1-1.mga8
+ Revision: 1588273
- new version: 9.6.1

* Wed Apr 22 2020 daviddavid <daviddavid> 9.6.0-1.mga8
+ Revision: 1570616
- new version: 9.6.0

* Wed Mar 04 2020 daviddavid <daviddavid> 9.4.1-1.mga8
+ Revision: 1553669
- new version: 9.4.1

* Wed Feb 26 2020 daviddavid <daviddavid> 9.4.0-1.mga8
+ Revision: 1550710
- new version: 9.4.0

* Tue Feb 18 2020 umeabot <umeabot> 9.2.1-2.mga8
+ Revision: 1539925
- Mageia 8 Mass Rebuild

* Sat Dec 14 2019 daviddavid <daviddavid> 9.2.1-1.mga8
+ Revision: 1467123
- new version: 9.2.1

* Wed Dec 04 2019 daviddavid <daviddavid> 9.2.0-1.mga8
+ Revision: 1464348
- new version: 9.2.0

* Wed Oct 02 2019 daviddavid <daviddavid> 9.0.1-1.mga8
+ Revision: 1448741
- new version: 9.0.1

* Thu Sep 19 2019 daviddavid <daviddavid> 9.0.0-1.mga8
+ Revision: 1443743
- new version: 9.0.0

* Sun Jun 30 2019 daviddavid <daviddavid> 8.8.1-1.mga8
+ Revision: 1416331
- new version: 8.8.1

* Sat Feb 23 2019 daviddavid <daviddavid> 8.6.1-1.mga7
+ Revision: 1369447
- new version: 8.6.1

* Mon Dec 10 2018 daviddavid <daviddavid> 8.4.1-1.mga7
+ Revision: 1339974
- new version: 8.4.1

* Tue Nov 27 2018 daviddavid <daviddavid> 8.4.0-1.mga7
+ Revision: 1335893
- new version: 8.4.0

* Thu Sep 20 2018 umeabot <umeabot> 8.2.0-2.mga7
+ Revision: 1287534
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 daviddavid <daviddavid> 8.2.0-1.mga7
+ Revision: 1258486
- new version: 8.2.0

* Fri Jun 29 2018 daviddavid <daviddavid> 8.0.1-1.mga7
+ Revision: 1240669
- new version: 8.0.1

* Fri Feb 16 2018 daviddavid <daviddavid> 7.8.0-1.mga7
+ Revision: 1201655
- new version: 7.8.0

* Sat Dec 23 2017 daviddavid <daviddavid> 7.6.0-1.mga7
+ Revision: 1184125
- new version: 7.6.0

* Sat Sep 23 2017 daviddavid <daviddavid> 7.4.0-1.mga7
+ Revision: 1157851
- new version: 7.4.0

* Wed Jul 19 2017 daviddavid <daviddavid> 7.2.1-1.mga7
+ Revision: 1124991
- new version: 7.2.1

* Wed Apr 26 2017 akien <akien> 7.0.1-1.mga6
+ Revision: 1097538
- Version 7.0.1

* Sun Jan 29 2017 daviddavid <daviddavid> 6.8.0-1.mga6
+ Revision: 1084128
- new version: 6.8.0

* Tue Sep 27 2016 daviddavid <daviddavid> 6.6.0-1.mga6
+ Revision: 1057046
- new version: 6.6.0-Loppa
- add some requiered packages
- update GUI desktop file and add French translation

* Thu Mar 10 2016 daviddavid <daviddavid> 6.2.2-1.mga6
+ Revision: 988697
- new version: 6.2.2

* Sun Feb 28 2016 daviddavid <daviddavid> 6.2.1-1.mga6
+ Revision: 980495
- new version: 6.2.1

* Sat Feb 20 2016 daviddavid <daviddavid> 6.2.0-1.mga6
+ Revision: 972443
- new version: 6.2.0

* Mon Nov 23 2015 daviddavid <daviddavid> 6.0.1-1.mga6
+ Revision: 905242
- new version: 6.0.1

* Mon Nov 16 2015 daviddavid <daviddavid> 5.8.1-1.mga6
+ Revision: 903546
- new version: 5.8.1
- add systemd service
- fix non-executable-script
- fix owner of data dir
- update file list

* Thu Jan 08 2015 spuhler <spuhler> 5.0.1-4.mga5
+ Revision: 809366
- removed Requires: php-gtk2
 * we removed this package is it doesn't work
 * and it's unmaintained upstream

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 745925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 687086
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/
+ fwang <fwang>
- replace with mageia

* Mon Apr 28 2014 dams <dams> 5.0.1-1.mga5
+ Revision: 618716
- new version 5.0.1

* Mon Mar 17 2014 dams <dams> 5.0.0-1.mga5
+ Revision: 604450
- new version 5.0.0

* Mon Dec 23 2013 dams <dams> 4.8.6-1.mga4
+ Revision: 560070
- new version 4.8.6

* Mon Oct 21 2013 umeabot <umeabot> 4.8.3-2.mga4
+ Revision: 539576
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 4.8.3-1.mga4
+ Revision: 492462
- new version 4.8.3

* Fri Sep 06 2013 dams <dams> 4.8.2-1.mga4
+ Revision: 475378
- new version 4.8.2

* Mon Aug 26 2013 dams <dams> 4.8.1-1.mga4
+ Revision: 471949
- new version 4.8.1

* Sat Jun 08 2013 dams <dams> 4.6.1-1.mga4
+ Revision: 440732
- new version 4.6.1

* Wed May 29 2013 dams <dams> 4.6.0-1.mga4
+ Revision: 432886
- new version 4.6.0

* Tue Mar 26 2013 dams <dams> 4.4.1-1.mga3
+ Revision: 405253
- new version 4.4.1

* Tue Mar 05 2013 dams <dams> 4.4.0-1.mga3
+ Revision: 401481
- new version 4.4.0

* Sun Jan 13 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 375654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.2.0-1.mga3
+ Revision: 335236
- new version 4.2.0

* Wed Aug 29 2012 dams <dams> 4.0.1-1.mga3
+ Revision: 285005
- new version 4.0.1
- clean specfile

* Sun Aug 12 2012 dams <dams> 4.0.0-1.mga3
+ Revision: 280886
- new version 4.0.0

* Mon Apr 23 2012 dams <dams> 3.8.0-1.mga2
+ Revision: 232954
- new version 3.8.0

* Mon Jan 09 2012 dams <dams> 3.6.1-1.mga2
+ Revision: 193989
- new version 3.6.1

* Tue Dec 20 2011 dams <dams> 3.6.0-1.mga2
+ Revision: 184811
- new version 3.6.0

* Mon Nov 07 2011 dams <dams> 3.4.0-1.mga2
+ Revision: 164912
- clean specfile
- imported package phoronix-test-suite


* Thu Sep 08 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.4.0-1mdv2012.0
+ Revision: 698993
- Update to 3.4

* Wed Sep 07 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.2.1-1
+ Revision: 698539
- Update to 3.2.1

* Mon Jun 20 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.2.0-1
+ Revision: 686138
- Update to 3.2.0

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.1-1
+ Revision: 645581
- Update to 3.0.1

* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.0-1
+ Revision: 643179
- Really update to 3.0
- update to new version 3.0.0

* Mon Feb 14 2011 Stéphane Téletchéa <steletch@mandriva.org> 3.0.0-0.rc1.1
+ Revision: 637809
- Preparing for the 3.0 release, hallmark for openbenchmarking

* Sun Nov 21 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.2-1mdv2011.0
+ Revision: 599447
- Update to 2.8.2

* Sun Sep 12 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 577698
- Update to 2.8.1

* Thu Sep 02 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-1mdv2011.0
+ Revision: 575367
- Update to 2.8.0 final

* Tue Aug 24 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b3mdv2011.0
+ Revision: 572935
- Update to 2.8.0 beta3

* Tue Aug 24 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b2mdv2011.0
+ Revision: 572759
- Update to 2.8.0 beta2

* Wed Aug 04 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.8.0-0.b1mdv2011.0
+ Revision: 565673
- Update to 2.8.0 beta1

* Fri Jun 04 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 547069
- Update to 2.6.1

* Tue May 25 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-1mdv2010.1
+ Revision: 545854
- Update to 2.6.0 final

* Fri May 14 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b3.1mdv2010.1
+ Revision: 544743
- Update to 2.6.0b3

* Fri May 07 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b2.1mdv2010.1
+ Revision: 543130
- Update to 2.6.0 beta2

* Tue Apr 27 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.b1.1mdv2010.1
+ Revision: 539540
- Update to 2.6.0 beta1

* Tue Apr 13 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.a3.1mdv2010.1
+ Revision: 534272
- Update to 2.6.0 alpha 3 test release

* Tue Apr 06 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.6.0-0.a2.1mdv2010.1
+ Revision: 532063
- Update to 2.6.0 alpha 2 test release

* Thu Feb 18 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 507414
- Update to 2.4.1

* Tue Feb 02 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0-1mdv2010.1
+ Revision: 499641
- Update to 2.4.0 final

* Tue Jan 26 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b3-1mdv2010.1
+ Revision: 496524
- New release 2.4.0b3

* Fri Jan 22 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b2-1mdv2010.1
+ Revision: 495005
- 2.4.0b2

* Fri Jan 15 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0b1-1mdv2010.1
+ Revision: 491675
- New release 2.4.0b1

* Fri Jan 01 2010 Stéphane Téletchéa <steletch@mandriva.org> 2.4.0a3-1mdv2010.1
+ Revision: 484665
- Update to latest release

* Mon Nov 16 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 466579
- Update to latest 2.2.0 release

* Thu Sep 03 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-3mdv2010.0
+ Revision: 428008
- remove the broken pear automatic dependency extraction, thans to Guillaume

* Wed Sep 02 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-2mdv2010.0
+ Revision: 425879
- Updated to include the newly introduced php-fpdf dependency

* Sun Aug 30 2009 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2010.0
+ Revision: 422361
-Updated to 2.0.0 release
- Added strict requires for phoronix-test-suite and Suggest for the tests

* Thu Apr 16 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.1-1mdv2009.1
+ Revision: 367804
- Bugfix update for 1.8 series

* Wed Apr 08 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-2mdv2009.1
+ Revision: 365174
- Update invalid exec entry for the menu
- Fix desktop category

* Tue Apr 07 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 364848
- Updated to 1.8
- Added a menu entry for the gui part
- perl-opengl will be needed in the future

* Tue Jan 20 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 331810
- Final 1.6.0 release

* Tue Jan 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b3.1mdv2009.1
+ Revision: 328889
- 1.6.0 beta 3

* Mon Jan 12 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b2.1mdv2009.1
+ Revision: 328648
- Update to 1.6.0beta2

* Mon Nov 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 299565
- Update to release 1.4.0

* Sun Sep 14 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 284800
- update to 1.2.2
- minor dependencies update for latest release

* Wed Sep 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 279726
- 1.2 final

* Thu Aug 28 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2-0b3mdv2009.0
+ Revision: 277056
- update to 1.2.0 beta3

* Thu Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 274945
- add buildroot, correct spec name to comply with bs
- import phoronix-test-suite


* Fri Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org>
- Initial Mandriva release
